net.i2p.sam

## Class SAMv3Handler.SessionRecord

- java.lang.Object
- - net.i2p.sam.SAMv3Handler.SessionRecord

Enclosing class:
  SAMv3Handler

    public class SAMv3Handler.SessionRecord
    extends Object

### Field Summary

Fields
`protected String` `m_dest`
`protected SAMv3Handler` `m_handler`
`protected Properties` `m_props`
`protected ThreadGroup` `m_threadgroup`

### Constructor Summary

Constructors
Constructor and Description
`SAMv3Handler.SessionRecord(SAMv3Handler.SessionRecord in)`
`SAMv3Handler.SessionRecord(String dest, Properties props, SAMv3Handler handler)`

### Method Summary

Methods
`void` `createThreadGroup(String name)`
`String` `getDest()`
`SAMv3Handler` `getHandler()`
`Properties` `getProps()`
`ThreadGroup` `getThreadGroup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_dest

    protected String m_dest

#### m_props

    protected Properties m_props

#### m_threadgroup

    protected ThreadGroup m_threadgroup

#### m_handler

    protected SAMv3Handler m_handler

### Constructor Detail

#### SAMv3Handler.SessionRecord

    public SAMv3Handler.SessionRecord(String dest,
                              Properties props,
                              SAMv3Handler handler)

#### SAMv3Handler.SessionRecord

    public SAMv3Handler.SessionRecord(SAMv3Handler.SessionRecord in)

### Method Detail

#### getDest

    public String getDest()

#### getProps

    public Properties getProps()

#### getHandler

    public SAMv3Handler getHandler()

#### getThreadGroup

    public ThreadGroup getThreadGroup()

#### createThreadGroup

    public void createThreadGroup(String name)